Skip to main content
PATCH
/
organizations
/
{orgId}
/
variables
/
{id}
Update variable
curl --request PATCH \
  --url https://api.helloannie.com/v1/organizations/{orgId}/variables/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "value": "<string>",
  "type": "STRING",
  "displayName": "<string>",
  "description": "<string>"
}
'
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "displayName": "<string>",
    "value": "<string>",
    "type": "STRING",
    "description": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Path Parameters

orgId
string<uuid>
required

The organization ID

variableId
string<uuid>
required

The variable ID

Body

Fields that can be updated on an existing organization variable

name
string

Variable name in strict snake_case. Must start with a lowercase letter, contain only lowercase letters and numbers, and use single underscores between words.

Pattern: ^[a-z][a-z0-9]*(?:_[a-z0-9]+)*$
value
string

The value of the variable

type
enum<string>
Available options:
STRING,
PHONE_NUMBER
displayName
string

Human-readable display name

description
string

Description of the variable

Response

Response returned after updating a variable

success
enum<boolean>
required
Available options:
true
data
object
required

Represents an organization variable used in workflows